Subject: Re: bug#47300: delete-window to select window with same position

From: Juri Linkov <[email-masked]>
Date: Fri, 04 Jun 2021 19:29:34 +0300

>>> I called them just 'mru' and 'pos' now.  The option is called
>>> `selected-window-after-deletion', there might be better names.
>>
>> Maybe better with the same name prefix as `delete-window'?
>> For example, `delete-window-select'?  But the current is also fine.
>
> It's not about "selecting a window", it's about "setting a frame's
> selected window".

I just tried to keep the prefix `delete-window-...'.
Then maybe `delete-window-set-selected'?

>>> +(defcustom selected-window-after-deletion 'mru
>>
>> Not strictly necessary now, but for future extensions
>> would it be possible to allow this option
>> to be customized to a function that selects a window?
>
> In general, just plugging in some existing function would usually fail
> here and I would like to avoid the illusion that it could work.  Also,
> as you can see with the 'pos' case, some work must be done _before_
> calling `delete-window-internal' so the actual work would have to be
> split among two functions at least.

The 'pos' case is an exception.  What I meant is simple cases
like customizing to 'get-lru-window'.